Subject: Re: bug#12702: 24.2; Orgmode Refile complains "Not bookmark format"

From: Stefan Monnier <[email-masked]>
Date: Wed, 24 Oct 2012 10:54:38 -0400

>> I found a way to reproduce this: have a corrupt bookmarks file.
>> Check the contents of your bookmark-default-file. Try (re)moving it.
> Wonderfull.
> I had an empty ~/.emacs.d/bookmarks file.
> I removed it and the problem is gone.

Hmm... it would be good if Emacs were a bit more helpful here by
maybe including the bookmark file name in the error.

> The error message makes sense ... as soon as you know where the problem
> comes from :)

Also, while it's good to signal to the user that his bookmark file is
corrupted (and to make sure we don't overwrite it with something else),
I don't see why that should prevent Org's Refile from working.

        Stefan